# Intro

This is the dataset release (v1.0) for the paper *TalkDown: A Corpus for Condescension Detection in Context* by Zijian Wang and Christopher Potts in proceedings of EMNLP-IJCNLP 2019.

# Download 

You may download the talkdown dataset [here](https://cs.stanford.edu/people/zijwang/talkdown/talkdown.tar.gz).

# Content


### annotated.jsonl
This file contains the raw annotations and the synthesized gold label.

### balanced_{train, dev, test}.jsonl

These files are ready-to-use balanced splits (i.e. dataset "1:1") used in the experiments discussed in the paper. Performances were reported based on results on the test dataset.

### imbalanced_{train, dev, test}.jsonl

These files are ready-to-use imbalanced splits (i.e. dataset "1:20") used in the experiments discussed in the paper. Performances were reported based on results on the test dataset.

# Schema

### annotated.jsonl 

* Main columns extracted from Reddit

    * reddit_comment_id 
    * reddit_reply_id
    * comment
    * reply
    * quotedcomment
    * quotedreply

* Raw annotations: choice values: 0 = "non-condescending" (negative); 1 = "condescending" (positive); 2 = "cannot decide"; 3 = "unanswered"
  
    * mturk_choice_0 
    * mturk_choice_1
    * mturk_choice_2
    * mturk_choice_3
    * mturk_choice_4


* Inferred gold label:

    * label 

### {train, dev, test} splits

* Main columns extracted from Reddit

    * reddit_comment_id 
    * reddit_reply_id
    * comment
    * reply
    * quotedcomment
    * quotedreply
    * comment_user
    * reply_user
    * quoted_start_offset: char-level start offset of the quoted part in the comment
    * quoted_end_offset: char-level end offset of the quoted part in the comment


* Inferred gold label:

    * label 

# Citation

    @inproceedings{wang2019talkdown,
      author = {Wang, Zijian  and  Potts, Christopher}
      title = {{TalkDown}: A Corpus for Condescension Detection in Context},
      booktitle = {Proceedings of the 2019 Conference on Empirical Methods in Natural Language Processing and the 9th International Joint Conference on Natural Language Processing},
      year = {2019}
    }

# Contact

You may reach out us at zijwang@stanford.edu and cgpotts@stanford.edu.
